Skip to navigation

Search Company Addresses

Returns all addresses associated with a Company account that match the query string q.

Equivalent Storefront GraphQL API Query: addresses. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.

Query parameters

qstringOptional
The search string for the request.
limitstringRequired
The total number of items per page of the response.
offsetstringRequired
The number of items to skip before the current page of the response.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional